Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.bcpg
Class DSASecretBCPGKey

    java.lang.Object
      |
      +--org.bouncycastle.bcpg.BCPGObject
            |
            +--org.bouncycastle.bcpg.DSASecretBCPGKey

All Implemented Interfaces:
  BCPGKey

public class DSASecretBCPGKey
extends BCPGObject
implements BCPGKey

base class for an DSA Public Key.

Constructor Summary
`DSASecretBCPGKey(BCPGInputStream in)`
`DSASecretBCPGKey(java.math.BigInteger x)`

Method Summary
`void` | `encode(BCPGOutputStream out)`
`byte[]` | `getEncoded()` return the standard PGP encoding of the key.
`java.lang.String` | `getFormat()` return "PGP"
`java.math.BigInteger` | `getX()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DSASecretBCPGKey

    public DSASecretBCPGKey(BCPGInputStream in)
                     throws java.io.IOException

Parameters:
  `in` -
Throws:
  `java.io.IOException`

### DSASecretBCPGKey

    public DSASecretBCPGKey(java.math.BigInteger x)

Parameters:
  `x` -

Method Detail

### getFormat

    public java.lang.String getFormat()

  return "PGP"

  Specified by:
    `getFormat` in interface `BCPGKey`
  Returns:
    "RAW" or "PGP"
  See Also:
    `BCPGKey.getFormat()`

### getEncoded

    public byte[] getEncoded()

  return the standard PGP encoding of the key.

  Specified by:
    `getEncoded` in interface `BCPGKey`
  Overrides:
    `getEncoded` in class `BCPGObject`
  Returns:
    byte[]
  See Also:
    `BCPGKey.getEncoded()`

### encode

    public void encode(BCPGOutputStream out)
                throws java.io.IOException

  Specified by:
    `encode` in class `BCPGObject`
    `java.io.IOException`

### getX

    public java.math.BigInteger getX()

  Returns:
    x

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD